Bug 508667 - nautilus MIMEs does not tell firefox that it's a filemanager
nautilus MIMEs does not tell firefox that it's a filemanager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-29 08:00 EDT by Muayyad Alsadi
Modified: 2015-03-03 17:40 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:22:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Muayyad Alsadi 2009-06-29 08:00:14 EDT
Description of problem:
open I click on "Open containing folder" in firefox downloads it tells me that it does not know any filemanager

but after I installed xfce [thunar I guess], "Open containing folder" works and opens xfce's filemanager.

Version-Release number of selected component (if applicable):
nautilus-2.26.3-1.fc11.i586
firefox-3.5-0.20.beta4.fc11.i586

How reproducible:
always
Comment 1 Garrett Mitchener 2009-07-15 10:56:33 EDT
This is probably related to bug #508585?
Comment 2 Muayyad Alsadi 2009-07-15 14:07:20 EDT
yes, it's related to them

and in my case 

xdg-open ~/

opens in nautilus

but firefox never launched nautilus
Comment 3 Edward Sheldrake 2009-08-26 12:05:27 EDT
The folder mimetypes nautilus handles are in gnome-nautilus-folder-handler.desktop, but that file has been broken by a perl line in nautilus.spec (after desktop-file-install).

$ desktop-file-validate /usr/share/applications/gnome-nautilus-folder-handler.desktop 
/usr/share/applications/gnome-nautilus-folder-handler.desktop: warning: key "Encoding" in group "Desktop Entry" is deprecated
/usr/share/applications/gnome-nautilus-folder-handler.desktop: error: value ";" for key "OnlyShowIn" in group "Desktop Entry" contains an unregistered value ""; values extending the format should start with "X-"

The nautilus rpm post/postun scriptlets are also lacking update-desktop-database, for .desktop files with mime types.

All the perl operations on the .desktop files should be removed, the first two don't do anything anymore and the third one breaks the file.

With the fixed .desktop file and update-desktop-database, Firefox "Open Containing Folder" opens nautilus for me as expected.
Comment 4 Muayyad Alsadi 2009-09-08 18:06:21 EDT
> All the perl operations on the .desktop files should be removed,
I confirm that this solution works
Comment 5 Matthias Clasen 2009-09-09 12:35:52 EDT
The thirst perl operation is not there just for fun. The intention is to not show this desktop file in any desktop. Thus the value for OnlyShowIn is an empty list, and lists in desktop files are ;-terminated. But it seems the empty list is just empty. Just removing the ; should fix it.
Comment 6 Edward Sheldrake 2009-09-09 15:29:28 EDT
Shouldn't the "NoDisplay=true" line take care of that?

I just tested it further, and it appears when running GNOME, firefox won't open nautilus if OnlyShowIn is present but doesn't include GNOME.
Comment 7 Edward Sheldrake 2009-09-09 17:35:13 EDT
The firefox behaviour is from gnome-vfs2, gthumb's "Open with the File Manager" also opens konqueror.
Comment 8 Julian Sikorski 2009-10-06 04:55:23 EDT
Yet, transmission's "Open Folder" works.
Comment 9 Tomáš Bžatek 2009-10-06 07:37:00 EDT
FYI, firefox GIO bits should be in trunk by now, will take some time to get into Fedora.
Comment 10 Bug Zapper 2010-04-27 11:20:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 09:22:16 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.